Bug 1677156 (CVE-2019-7636) - CVE-2019-7636 SDL: heap-based buffer over-read in SDL_GetRGB in video/SDL_pixels.c
Summary: CVE-2019-7636 SDL: heap-based buffer over-read in SDL_GetRGB in video/SDL_pix...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-7636
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1677157 1716207 1716218
Blocks: 1676783
TreeView+ depends on / blocked
 
Reported: 2019-02-14 07:36 UTC by Dhananjay Arunesh
Modified: 2020-11-04 02:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-29 21:57:46 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:3868 0 None None None 2020-09-29 19:24:12 UTC
Red Hat Product Errata RHSA-2020:4627 0 None None None 2020-11-04 02:29:35 UTC

Description Dhananjay Arunesh 2019-02-14 07:36:38 UTC
SDL (Simple DirectMedia Layer) through 1.2.15 and 2.x through 2.0.9 has a
heap-based buffer over-read in SDL_GetRGB in video/SDL_pixels.c.

Reference:
https://bugzilla.libsdl.org/show_bug.cgi?id=4499

Comment 1 Dhananjay Arunesh 2019-02-14 07:36:59 UTC
Created SDL tracking bugs for this issue:

Affects: fedora-all [bug 1677157]

Comment 2 errata-xmlrpc 2020-09-29 19:24:09 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:3868 https://access.redhat.com/errata/RHSA-2020:3868

Comment 3 Product Security DevOps Team 2020-09-29 21:57:46 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-7636

Comment 4 errata-xmlrpc 2020-11-04 02:29:33 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4627 https://access.redhat.com/errata/RHSA-2020:4627


Note You need to log in before you can comment on or make changes to this bug.